Bug 503271 - clipboard doesn't receive selection from server
clipboard doesn't receive selection from server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-30 09:31 EDT by David
Modified: 2013-04-30 19:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.0.91-0.11.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 15:43:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David 2009-05-30 09:31:06 EDT
Description of problem:
I'm having vncviewer problems with f11 that I don't think
I had with f10 with respect to receiving clipboard
data from a vncviewer session.  I can paste into the
vncviewer session, but I can't copy from the vncviewer
session and paste into my f11 X session.  The vncserver
it configured to send and receive clipboard.  It's an fc6
vncserver session that I've tested it with and I believe I
was able to copy/paste both ways from the same vncserver
session from f10. 

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Connect to a vnc server with vncviewer
2. Run vncconfig in the vnc session and enable "Send primary selection to viewers"
3. Select a primary selection in the vnc session and try to paste outside of that session
  
Actual results:
Doesn't paste

Expected results:
Does paste

Additional info:
Comment 1 David 2009-06-01 11:36:31 EDT
I confirmed that the f10 vncviewer receives the clipboard on the same
server session for which the f11 vncviewer does not.  I've also compiled
realvnc from source on f11 and run it side-by-side with tigervnc.  realvnc
on f11 receives the clipboard and tigervnc does not with identical servers
and startup flags.

Looking at the features list for tigervnc here:
http://fedoraproject.org/wiki/Features/TigerVNC

it claims that one feature is:
presents clipboard/primary selection options to viewers 

But there isn't much documentation to be found and I couldn't find
anything about configuring this feature.
Comment 2 Bug Zapper 2009-06-09 12:50:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2009-06-22 08:46:44 EDT
tigervnc-0.0.91-0.11.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tigervnc-0.0.91-0.11.fc11
Comment 4 Fedora Update System 2009-06-24 15:43:11 EDT
tigervnc-0.0.91-0.11.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.